gntline.h File Reference
GNT (GLib Ncurses Toolkit)

Line API. More...

`#include "gntwidget.h"`
`#include "gnt.h"`
`#include "gntcolors.h"`
`#include "gntkeys.h"`

Go to the source code of this file.

## Data Structures

struct | _GntLine
struct | _GntLineClass

## Macros

#define | GNT_TYPE_LINE (gnt_line_get_gtype())
#define | GNT_LINE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_LINE, GntLine))
#define | GNT_LINE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_LINE, GntLineClass))
#define | GNT_IS_LINE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_LINE))
#define | GNT_IS_LINE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_LINE))
#define | GNT_LINE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_LINE, GntLineClass))
#define | GNT_LINE_FLAGS(obj) (GNT_LINE(obj)->priv.flags)
#define | GNT_LINE_SET_FLAGS(obj, flags) (GNT_LINE_FLAGS(obj) |= flags)
#define | GNT_LINE_UNSET_FLAGS(obj, flags) (GNT_LINE_FLAGS(obj) &= ~(flags))
#define | gnt_hline_new() gnt_line_new(FALSE)
#define | gnt_vline_new() gnt_line_new(TRUE)

## Typedefs

typedef struct _GntLine | GntLine
typedef struct _GntLinePriv | GntLinePriv
typedef struct _GntLineClass | GntLineClass

## Functions

G_BEGIN_DECLS GType | gnt_line_get_gtype (void)
GntWidget * | gnt_line_new (gboolean vertical)
| Create new line. More...

## Detailed Description

Line API.

Definition in file gntline.h.

## Function Documentation

G_BEGIN_DECLS GType gnt_line_get_gtype | ( | void |  | ) |

Returns
  GType for GntLine.

GntWidget* gnt_line_new | ( | gboolean | vertical | ) |

Create new line.

Parameters

  vertical | `TRUE` if the line should be vertical, `FALSE` for a horizontal line.

Returns
  The newly created line.